## youtube-dl 0.0.20140906

=== Makefile ===
all: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion

clean:
	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz

cleanall: clean
	rm -f youtube-dl youtube-dl.exe

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
PYTHON ?= /usr/bin/env python

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
ifeq ($(PREFIX),/usr)
	SYSCONFDIR=/etc
else
	ifeq ($(PREFIX),/usr/local)
		SYSCONFDIR=/etc
	else
		SYSCONFDIR=$(PREFIX)/etc
	endif
endif

install: youtube-dl youtube-dl.1 youtube-dl.bash-completion
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 youtube-dl $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 youtube-dl.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
	install -m 644 youtube-dl.bash-completion $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/youtube-dl

test:
	#nosetests --with-coverage --cover-package=youtube_dl --cover-html --verbose --processes 4 test
	nosetests --verbose test

tar: youtube-dl.tar.gz

.PHONY: all clean install test tar bash-completion pypi-files

pypi-files: youtube-dl.bash-completion README.txt youtube-dl.1

youtube-dl: youtube_dl/*.py youtube_dl/*/*.py
	zip --quiet youtube-dl youtube_dl/*.py youtube_dl/*/*.py
	zip --quiet --junk-paths youtube-dl youtube_dl/__main__.py
	echo '#!$(PYTHON)' > youtube-dl
	cat youtube-dl.zip >> youtube-dl
	rm youtube-dl.zip
	chmod a+x youtube-dl

README.md: youtube_dl/*.py youtube_dl/*/*.py
	COLUMNS=80 python -m youtube_dl --help | python devscripts/make_readme.py

README.txt: README.md
	pandoc -f markdown -t plain README.md -o README.txt

youtube-dl.1: README.md
	python devscripts/prepare_manpage.py >youtube-dl.1.temp.md
	pandoc -s -f markdown -t man youtube-dl.1.temp.md -o youtube-dl.1
	rm -f youtube-dl.1.temp.md

youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
	python devscripts/bash-completion.py

bash-completion: youtube-dl.bash-completion

youtube-dl.tar.gz: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion
	@tar -czf youtube-dl.tar.gz --transform "s|^|youtube-dl/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache' \
		--exclude '.git' \
		--exclude 'testdata' \
		--exclude 'docs/_build' \
		-- \
		bin devscripts test youtube_dl docs \
		LICENSE README.md README.txt \
		Makefile MANIFEST.in youtube-dl.1 youtube-dl.bash-completion setup.py \
		youtube-dl

=== debian/changelog ===
youtube-dl (0.0.20140906-0~rzr20140906) unstable; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#youtube-dl

 -- Philippe Coval <rzr@gna.org>  Sat, 06 Sep 2014 11:33:42 +0200

youtube-dl (0.0.20140906-0~rzr) unstable; urgency=medium

  * WIP: http://rzr.online.fr/q/snapshot#youtube-dl

 -- Philippe Coval <rzr@gna.org>  Sat, 06 Sep 2014 11:33:41 +0200

youtube-dl (0.0.0-0) UNRELEASED; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#youtube-dl

 -- Philippe Coval <rzr@gna.org>  Sat, 06 Sep 2014 11:33:41 +0200

youtube-dl (2014.06.07-1) unstable; urgency=medium

  * Imported Upstream version 2014.06.07. Closes: #743005, #749828,
    #746345.
  * debian/control: Annotate with bug numbers closed by this release.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 08 Jun 2014 12:39:54 -0300

youtube-dl (2014.02.17-1) unstable; urgency=medium

  * The "Way too many changes release".
  * Imported Upstream version 2013.12.23
  * Imported Upstream version 2014.01.17.2
  * Imported Upstream version 2014.02.17.
    + There are too many goodies that this new release brings us,
      including that it is possible to combine/merge/multiplex audio and
      video formats that Youtube now offers separately (See the previous
      notes about Youtube using DASH for video and audio).
      .
      Now, if you want a 480p video in H.264 format, High profile, with
      128kbps AAC audio (this used to be Youtube's format 35), you can
      specify format `-f 135+140` on the command-line, and so on. Only your
      imagination is the limit.
    + Fixes "using --list-subs triggers downloading video from vimeo".
      Closes: #734647.
  * debian/NEWS:
    + Write news about new muxing feature of youtube-dl.
  * debian/control:
    + Massive update of supported sites in long description.
    + Package complies with policy 3.9.5.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 17 Feb 2014 19:41:53 -0300

youtube-dl (2013.12.04-1) unstable; urgency=low

  * The "I still have a flu (but am getting better) release".
  * Imported Upstream version 2013.12.04.
    + Fixes "more youtube encrypted signature problems". Closes: #730556.
    + Fixes "collegehumor.com - unicode encode error". Closes: #729730.
    + Fixes listing 'youtube:search' twice in extractor list.
      Thanks Jaime Marquínez Ferrándiz for the fix. Closes: #730730.
  * debian/control: Update list of extractors.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 05 Dec 2013 02:24:18 -0200

youtube-dl (2013.11.11-2) unstable; urgency=low

  * debian/control: Add dependency on python-pkg-resources.
    Closes: #729416. Thanks Josh Triplett.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 12 Nov 2013 16:34:16 -0200

youtube-dl (2013.11.11-1) unstable; urgency=low

  * Imported Upstream version 2013.11.11. Highlights:
    + Add support for many sites (see long description of the package).
    + Fix support for many sites (Closes: #728424).
    + Improve support for many sites (including CNN, Youtube).
    + Improve support for download of subtitles.
    + Allow to download tracks marked as not 'streamable' via rtmpdump in
      soundcloud.
    + Avoid reencoding videos that are downloaded via HTTP Live Streaming
      (Apple's version of DASH). These videos have to be downloaded with
      ffmpeg (or avconv), as youtube-dl doesn't have a downloader for that
      particular protocol.
      .
      See https://en.wikipedia.org/wiki/HTTP_Live_Streaming for more
      information.
  * debian/control: Update list of extractors.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 11 Nov 2013 23:06:01 -0200

youtube-dl (2013.10.23-1) unstable; urgency=low

  * Imported Upstream version 2013.10.23.
    + Fix time display for > 60 minutes. Closes: #724834.
    + All adult-related sites should respect the age being set via the
      `--age-limit` option (which can be put in a global configuration file
      under the /etc directory), thus making youtube-dl safe for Debian Edu
      and Debian Jr. Closes: #715407.
    + Document that the output template accepts specification of
      downloaded formats (template: %(format)s). In particular, this:
      - Avoids resuming downloads with different formats. Closes: #689294.
      - Allows downloading all available formats. Closes: #643831.
  * debian/control:
    + Update long description with list of supported sites.
  * debian/NEWS:
    + Update with notes about split audio/video downloads.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 25 Oct 2013 01:33:56 -0200

youtube-dl (2013.10.04-1) unstable; urgency=low

  * Imported Upstream version 2013.10.04. Closes: #723592.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 04 Oct 2013 09:44:46 -0300

youtube-dl (2013.10.01-1) unstable; urgency=low

  * The "In a hurry release".
  * Imported Upstream version 2013.10.01.
    + Closes: #724321, #722343, #722298.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 03 Oct 2013 01:28:58 -0300

youtube-dl (2013.08.29-1) unstable; urgency=low

  * Imported Upstream version 2013.08.29. Highlights:
    + Fix subtitle downloading. (Closes: #721257)
    + Add/improve support cryptographic signatures of lengths 80, 82, 84,
      86, 88 on youtube.
    + Add/improve support for the following sites:
      - Youtube: Add support for DASH videos. See:
        https://en.wikipedia.org/wiki/Dynamic_Adaptive_Streaming_over_HTTP
      - Slashdot: tv.slashdot.org
      - News sites: CNN, NBC news, PBS.
      - MIT sites: video.mit.edu, techtv.mit.edu
      - Other sites: Youporn, hark.com, AddAnime, RTLnow, jeuxvideo.com,
        VOXnow, collegehumor, the generic extractor, Vimeo, funnyordie,
        statigram, utv.unistra.fr, canalc2.tv, XHamster, 220.ro,
        trilulilu.ro, canalplus, appletrailers, addanime, orf.at,
        kankan.com.
    + Allow embedding of subtitles in mp4 videos.
    + Allow the use to specify languages for subtitles.
  * debian/changelog:
    + Fix long line in the previous uploaded entry, to please lintian and
      other tools.


=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends:
 debhelper (>= 9),
 python-pkg-resources
Build-Depends-Indep:
 python
X-Python-Version: >= 2.6
Standards-Version: 3.9.5
Homepage: http://rg3.github.com/youtube-dl/
Vcs-Git: git://anonscm.debian.org/collab-maint/youtube-dl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/youtube-dl.git

Package: youtube-dl
Architecture: all
Depends:
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 libav-tools | ffmpeg,
 libav-tools | ffmpeg (>= 4:0.6) | ffprobe,
 mplayer2 | mplayer,
 rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1up.com, 220.ro, 3sat, 4tube, 56.com, 8tracks, 9gag, AcademicEarth:Course,
 AddAnime, anitube.se, Aparat, AppleTrailers, archive.org videos, ARD,
 arte.tv, arte.tv:+7, arte.tv:creative, arte.tv:ddc, arte.tv:future,
 AUEngine, bambuser, bambuser:channel, Bandcamp, Bandcamp:album, BBC iPlayer,
 blinkx, blip.tv:user, BlipTV, Bloomberg, Break, Brightcove, canalc2.tv,
 canalplus.fr, CBS, Channel 9, Chilloutzone, Cinemassacre, clipfish,
 cliphunter, Clipsyndicate, cmt.com, CNN, CNNBlogs, CollegeHumor,
 ComedyCentral, The Daily Show / Colbert Report, Condé Nast media group: GQ,
 Glamour, Vanity Fair, Vogue, W Magazine, WIRED, Criterion, Crunchyroll,
 C-SPAN, culturebox.francetvinfo.fr, d8.tv, dailymotion,
 dailymotion:playlist, dailymotion:user, daum.net, defense.gouv.fr,
 DepositFiles, Discovery, Dotsub, Dropbox, EbaumsWorld, eHow, eitb.tv, El
 País, Escapist, EveryonesMixtape, ex.fm, ExtremeTube, facebook, faz.net,
 fernsehkritik.tv, fernsehkritik.tv:postecke, Firstpost.com, Видеоархив -
 Первый канал, Flickr, france2.fr:generation-quoi, FranceInter, France 2, 3,
 4, 5 and Ô, francetvinfo.fr, Freesound, freespeech.org, FunnyOrDie,
 Gamekings, GameSpot, Gametrailers, Generic downloader that works on some
 sites, Hark, helsinki.fi, HotNewHipHop, Howcast, Huffington Post, Hypem,
 ign.com, Internet Movie Database trailers, Internet Movie Database lists,
 Ina, InfoQ, Instagram, InternetVideoArchive, IPrima, ivi.ru, ivi.ru
 compilations, JadoreCettePub, JeuxVideo, jpopsuki.tv, Jukebox, justin.tv,
 Kankan, keek, KeezMovies, KhanAcademy, KickStarter, KontrTube.ru - Труба
 зовёт, la7.tv, LIFE | NEWS, LiveLeak, livestream, livestream:original,
 lynda.com videos, lynda.com online courses, m6, MacGameStore trailers,
 Malemotion, MDR, metacafe, Metacritic, mixcloud, Mofosex, Mooshare.biz,
 MPORA, MTV, mtviggy.com, muzu.tv, MySpace, MySpass, myvideo, Naver, NBA,
 NBCNews, NDR.de - Mediathek, NDTV, Newgrounds, National Film Board of
 Canada, nhl.com, NHL videocenter category, ニコニコ動画, Normalboots,
 Novamov, Nowness, NowVideo, Ooyala, ORF, PBS, photobucket, Google Plus,
 pluzz.francetv.fr, podomatic, PornHd, PornHub, Pornotube, Pyvideo,
 radiofrance, RBMARadio, RedTube, RingTV, RottenTomatoes, Roxwel, RTLnow,
 Rutube videos, Rutube channels, Rutube movies, Rutube person videos, Yahoo
 screen search (Example: "yvsearchall:purple fish" ), ServingSys, Sina,
 Slashdot, Slideshare, Smotri.com, Smotri.com broadcasts, Smotri.com
 community videos, Smotri.com user videos, Sohu, soundcloud, soundcloud:set,
 soundcloud:user, southpark.de, southparkstudios.com, Space, Spankwire,
 Spiegel, Spike, Stanford Open ClassRoom, Statigram, Steam, streamcloud.eu,
 StreamCZ, Syfy, SztvHu, Teamcoco, TechTalks, techtv.mit.edu, TED, TF1,
 ThePlatform, ThisAV, tinypic.com videos, tou.tv, Trilulilu, Tube8, Tudou,
 Tumblr, Tutv, tvp.pl, Unistra, ustream, ustream:channel, Vbox7, VeeHD, Veoh,
 Вести.Ru, Vevo, Vice, Viddler, Google Video search (Example:
 "gvsearch5:falling cat" ), video.mit.edu, VideoDetective, videofy.me,
 VideoPremium, viki, vimeo, vimeo:album, vimeo:channel, vimeo:group, Review
 pages on vimeo, vimeo:user, Vine, vk.com, Vube.com, wat.tv, Weibo, Wimp,
 Wistia, WorldStarHipHop, XHamster, XNXX, XTube, XVideos, Yahoo screen, Yahoo
 screen, YouJizz, Youku, YouPorn, YouTube.com, YouTube.com channels,
 YouTube.com favourite videos, "ytfav" keyword (requires authentication),
 Youtube watch history, "ythistory" keyword (requires authentication),
 YouTube.com playlists, YouTube.com recommended videos, "ytrec" keyword
 (requires authentication), YouTube.com searches (Example:
 "ytsearch10:running tortoise" ), YouTube.com searches, newest videos first
 (Example: "ytsearchdateall:falling cat" ), YouTube.com (multi-season) shows,
 YouTube.com subscriptions feed, "ytsubs" keyword(requires authentication),
 YouTube.com top lists, "yttoplist:{channel}:{list title}" (Example:
 "yttoplist:music:Top Tracks"), YouTube.com user videos (URL or "ytuser"
 keyword), Youtube watch later list, "ytwatchlater" keyword (requires
 authentication), ZDF.

Package: youtube-dl-snapshot
Architecture: all
Section: utils
Depends: youtube-dl (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade youtube-dl
 http://rzr.online.fr/q/snapshot#youtube-dl Feedback welcome

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	mv -v debian/tmp/usr/etc debian/tmp/etc
	dh_install

override_dh_installdocs:
	dh_installdocs
#	mv debian/tmp/usr/share/doc/youtube_dl/* 
#           debian/tmp/usr/share/doc/tmp
#	rmdir debian/tmp/usr/share/doc/youtube_dl

override_dh_clean:
	dh_clean
	rm -rf youtube_dl.egg-info

override_dh_installman:
	touch youtube-dl.1
	dh_installman

## youtube-dl 2010.04.04

=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://bitbucket.org/rg3/youtube-dl/

Package: youtube-dl
Architecture: all
Depends: python (>= 2.4), ${misc:Depends}
Suggests: rtmpdump
Description: download videos from youtube
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific
 video quality to download (if available) or let the program
 automatically determine the best quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites are video.google.com, youtube, photobucket,
 and metacafe.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp

build-stamp:
	pod2man -n YOUTUBE-DL -c "User Commands" debian/youtube-dl.pod > debian/youtube-dl.1
	touch $@

clean:
	dh_testdir
	dh_clean build-stamp debian/youtube-dl.1

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_install

binary-arch:
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman debian/youtube-dl.1
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
#
#http://bitbucket.org/rg3/youtube-dl/wiki/Home http://bitbucket.org/rg3/youtube-dl/raw/(.*)/youtube-dl
#http://bitbucket.org/rg3/youtube-dl/get/(.*).gz
#
http://bitbucket.org/rg3/youtube-dl/downloads/ (?:.*/)?(\d+\.\d+\.\d+)\.tar\.gz

## youtube-dl 2010.08.04

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: extra
 Maintainer: Rogério Brito <rbrito@ime.usp.br>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Homepage: http://bitbucket.org/rg3/youtube-dl/
 
@@ -22,4 +22,4 @@
  downloading entire playlists and all videos from a given user.
  .
  Currently supported sites are video.google.com, youtube, photobucket,
- and metacafe.
+ dailymotion, and metacafe.

=== debian/watch ===
version=3
http://bitbucket.org/rg3/youtube-dl/downloads/ (?:.*/)?(\d+\.\d+\.\d+)\.tar\.gz

## youtube-dl 2010.10.24-maemo0

=== debian/changelog ===
youtube-dl (2010.10.24-maemo0) unstable; urgency=low

  * Initial release for maemo.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 08 Nov 2010 17:27:31 +0200

## youtube-dl 2010.12.09-maemo0

=== debian/changelog ===
youtube-dl (2010.12.09-maemo0) unstable; urgency=low

  * Updated youtube-dl to version 2010.12.09.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 21 Dec 2010 20:36:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: youtube-dl
-Section: web
-Priority: extra
-Maintainer: Rogério Brito <rbrito@ime.usp.br>
-Build-Depends: debhelper (>= 7)
+Section: user/multimedia
+Priority: optional
+Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
+Build-Depends: debhelper7 (>= 7)
 Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Homepage: http://bitbucket.org/rg3/youtube-dl/
+XSBC-Bugtracker: https://github.com/rg3/youtube-dl/issues
 
 Package: youtube-dl
 Architecture: all
@@ -23,3 +24,61 @@
  .
  Currently supported sites are video.google.com, youtube, photobucket,
  dailymotion, and metacafe.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
+ 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
+ MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
+ 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
+ ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
+ 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
+ SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
+ SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
+ doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
+ jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
+ OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
+ xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
+ lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
+ 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
+ occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
+ EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
+ inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
+ 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
+ uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
+ DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
+ QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
+ ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
+ 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
+ Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
+ 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
+ mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
+ kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
+ gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
+ 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
+ 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
+ WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
+ rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
+ orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
+ VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
+ +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
+ rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
+ GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
+ kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
+ HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
+ Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
+ jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
+ rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
+ hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
+ kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
+ LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
+ /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
+ +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
+ DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
+ 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
+ deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
+ mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
+ 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
+ RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
+ X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
+ 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
+ 5l7y6xMAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

%:
	dh $@

## youtube-dl 2011.01.30

=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: perl
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Homepage: http://rg3.github.com/youtube-dl/

Package: youtube-dl
Architecture: all
Depends: python (>= 2.5), ${misc:Depends}
Suggests: rtmpdump
Description: download videos from youtube
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific
 video quality to download (if available) or let the program
 automatically determine the best quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites are video.google.com, youtube, photobucket,
 dailymotion, and metacafe.

## youtube-dl 2011.08.04

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installman:
	pod2man debian/youtube-dl.pod > debian/youtube-dl.1
	dh_installman

=== debian/watch ===
version=3
http://githubredir.debian.net/github/rg3/youtube-dl (?:.*/)?(\d+\.\d+\.\d+)\.tar\.gz

## youtube-dl 2011.10.19

=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends:
 debhelper (>= 7.0.50~)
Build-Depends-Indep:
 perl
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://rg3.github.com/youtube-dl/
Vcs-Git: git://anonscm.debian.org/collab-maint/youtube-dl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/youtube-dl.git

Package: youtube-dl
Architecture: all
Depends:
 python (>= 2.5),
 ${misc:Depends}
Recommends:
 ffmpeg
Suggests:
 rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites are: CollegeHumor, Comedy Central, Dailymotion,
 Facebook, Metacafe, MyVideo, Photobucket, The Escapist, Vimeo, Yahoo!,
 YouTube, blip.tv, depositfiles.com, video.google.com, xvideos.

## youtube-dl 2012.01.05

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  python (>= 2.5),
  ${misc:Depends}
 Recommends:
- ffmpeg
-Suggests:
+ ffmpeg,
+ ffmpeg (>= 4:0.6) | ffprobe,
  rtmpdump
 Description: downloader of videos from YouTube and other sites
  youtube-dl is a small command-line program to download videos from
@@ -33,4 +33,5 @@
  .
  Currently supported sites are: CollegeHumor, Comedy Central, Dailymotion,
  Facebook, Metacafe, MyVideo, Photobucket, The Escapist, Vimeo, Yahoo!,
- YouTube, blip.tv, depositfiles.com, video.google.com, xvideos.
+ YouTube, blip.tv, depositfiles.com, video.google.com, xvideos, Soundcloud,
+ InfoQ, Mixcloud, OpenClassRoom.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installman:
	pod2man -r "youtube-dl" -c "User commands" debian/youtube-dl.pod > debian/youtube-dl.1
	dh_installman

override_dh_auto_build:

override_dh_python2:

override_dh_pysupport:

## youtube-dl 2012.02.27

=== debian/changelog ===
youtube-dl (2012.02.27-1ubuntu0.1) precise-proposed; urgency=low

  * Add 100-youtube-signature.patch: Add 'signature' to youtube URLs.
    Fixes failure to download youtube videos.
    (LP: #1060813)

 -- Bryce Harrington <bryce@ubuntu.com>  Sun, 05 May 2013 20:37:17 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: youtube-dl
 Section: web
 Priority: extra
-Maintainer: Rogério Brito <rbrito@ime.usp.br>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rogério Brito <rbrito@ime.usp.br>
 Build-Depends:
  debhelper (>= 7.0.50~)
 Build-Depends-Indep:
  perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://rg3.github.com/youtube-dl/
 Vcs-Git: git://anonscm.debian.org/collab-maint/youtube-dl.git

## youtube-dl 2012.09.27

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: youtube-dl
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rogério Brito <rbrito@ime.usp.br>
+Maintainer: Rogério Brito <rbrito@ime.usp.br>
 Build-Depends:
  debhelper (>= 7.0.50~)
 Build-Depends-Indep:
- perl
+ perl,
+ python,
+ zip
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://rg3.github.com/youtube-dl/
@@ -16,11 +17,11 @@
 Package: youtube-dl
 Architecture: all
 Depends:
- python (>= 2.5),
+ python (>= 2.6),
  ${misc:Depends}
 Recommends:
- ffmpeg,
- ffmpeg (>= 4:0.6) | ffprobe,
+ libav-tools | ffmpeg,
+ libav-tools | ffmpeg (>= 4:0.6) | ffprobe,
  rtmpdump
 Description: downloader of videos from YouTube and other sites
  youtube-dl is a small command-line program to download videos from

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installman:
	pod2man -r "youtube-dl" -c "User commands" debian/youtube-dl.pod > debian/youtube-dl.1
	dh_installman

override_dh_python2:

override_dh_pysupport:

## youtube-dl 2012.09.27+dfsg1

=== Makefile ===
default: update

update: compile update-readme update-latest

update-latest:
	./youtube-dl.dev --version > LATEST_VERSION

update-readme:
	@options=$$(COLUMNS=80 ./youtube-dl.dev --help | sed -e '1,/.*General Options.*/ d' -e 's/^\W\{2\}\(\w\)/### \1/') && \
		header=$$(sed -e '/.*## OPTIONS/,$$ d' README.md) && \
		footer=$$(sed -e '1,/.*## FAQ/ d' README.md) && \
		echo "$${header}" > README.md && \
		echo >> README.md && \
		echo '## OPTIONS' >> README.md && \
		echo "$${options}" >> README.md&& \
		echo >> README.md && \
		echo '## FAQ' >> README.md && \
		echo "$${footer}" >> README.md

compile:
	zip --quiet --junk-paths youtube-dl youtube_dl/*.py
	echo '#!/usr/bin/env python' > youtube-dl
	cat youtube-dl.zip >> youtube-dl
	rm youtube-dl.zip

.PHONY: default compile update update-latest update-readme

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,24 @@
 override_dh_python2:
 
 override_dh_pysupport:
+
+
+FULL_VERSION	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
+TAR_VERSION	:= $(shell echo $(FULL_VERSION) | sed -e 's/-.*//g')
+SOURCE		:= $(shell dpkg-parsechangelog | grep ^Source: | sed -e 's/^.*: //g')
+
+ORIGDIR	= $(SOURCE)-$(TAR_VERSION)
+TARNAME	= $(SOURCE)_$(TAR_VERSION).orig.tar.gz
+
+get-orig-source:
+	rm -rf repack
+	mkdir -p repack/$(ORIGDIR)
+
+	uscan --noconf --force-download --rename --download-current-version --destdir=repack/
+	cd repack; tar zxf $(TARNAME)
+
+	# Remove problematic files
+	rm -f repack/$(ORIGDIR)/youtube-dl.exe
+
+	tar -C repack --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
+	rm -rf repack

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
  http://githubredir.debian.net/github/rg3/youtube-dl (?:.*/)?(\d+\.\d+\.\d+)\.tar\.gz

## youtube-dl 2013.08.29

=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends:
 debhelper (>= 9),
 python-pkg-resources
Build-Depends-Indep:
 python
X-Python-Version: >= 2.6
Standards-Version: 3.9.4
Homepage: http://rg3.github.com/youtube-dl/
Vcs-Git: git://anonscm.debian.org/collab-maint/youtube-dl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/youtube-dl.git

Package: youtube-dl
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Recommends:
 libav-tools | ffmpeg,
 libav-tools | ffmpeg (>= 4:0.6) | ffprobe,
 mplayer2 | mplayer,
 rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1up.com, 3sat, 56.com, 8tracks, archive.org, ARD, arte.tv, AUEngine,
 Bandcamp, blip.tv, blip.tv:user, Break, Brightcove, canalplus.fr,
 CollegeHumor, ComedyCentral, CondeNast, Criterion, CSpan, dailymotion,
 DailymotionPlaylist, DepositFiles, Dotsub, eHow, Escapist, exfm, facebook,
 Flickr, Freesound, FunnyOrDie, GameSpot, Gametrailers, generic,
 HotNewHipHop, Howcast, Hypem, ign.com, Ina, InfoQ, Instagram, Jukebox,
 justin.tv, Kankan, keek, liveleak, Livestream, metacafe, mixcloud (CURRENTLY
 BROKEN), MTV, muzu.tv, MySpass, myvideo, NBA, Ooyala, photobucket,
 plus.google, Pornotube, RBMARadio, RedTube, RingTV, Roxwel,
 screen.yahoo:search, Sina, soundcloud, soundcloud:set, Spiegel, stanfordoc,
 Statigram, Steam, Teamcoco, TED, TF1, ThisAV, TrailerAddict, Tudou, Tumblr,
 Tutv, ustream, Vbox7, Veoh, Vevo, video.google:search, videofy.me, vimeo,
 vimeo:channel, Vine, wat.tv, Weibo, Wimp, WorldStarHipHop, XHamster, XNXX,
 XVideos, Yahoo, YouJizz, Youku, YouPorn, youtube, youtube:channel,
 youtube:favorites, youtube:playlist, youtube:recommended, youtube:search,
 youtube:show, youtube:subscriptions, youtube:user, youtube:watch_later, ZDF.

## youtube-dl 2013.12.04

=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends:
 debhelper (>= 9),
 python-pkg-resources
Build-Depends-Indep:
 python
X-Python-Version: >= 2.6
Standards-Version: 3.9.4
Homepage: http://rg3.github.com/youtube-dl/
Vcs-Git: git://anonscm.debian.org/collab-maint/youtube-dl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/youtube-dl.git

Package: youtube-dl
Architecture: all
Depends:
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 libav-tools | ffmpeg,
 libav-tools | ffmpeg (>= 4:0.6) | ffprobe,
 mplayer2 | mplayer,
 rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1up.com, 220.ro, 3sat, 56.com, 8tracks, AddAnime, anitube.se,
 AppleTrailers, archive.org, ARD, arte.tv, arte.tv:+7, arte.tv:creative,
 arte.tv:future, AUEngine, bambuser, bambuser:channel, Bandcamp,
 Bandcamp:album, blip.tv, blip.tv:user, Bloomberg, Break, Brightcove,
 canalc2.tv, canalplus.fr, Cinemassacre, clipfish, Clipsyndicate, CNN,
 CollegeHumor, ComedyCentral, ComedyCentralShows, CondeNast, Criterion,
 CSpan, d8.tv, dailymotion, dailymotion:playlist, dailymotion:user,
 daum.net, DefenseGouvFr, DepositFiles, Dotsub, EbaumsWorld, eHow, eitb.tv,
 Escapist, exfm, ExtremeTube, facebook, faz.net, fernsehkritik.tv,
 fernsehkritik.tv:postecke, Flickr, france2.fr, france2.fr:generation-quoi,
 francetvinfo.fr, Freesound, FunnyOrDie, Gamekings, GameSpot, Gametrailers,
 generic, Hark, HotNewHipHop, Howcast, Hypem, ign.com, imdb, Ina, InfoQ,
 Instagram, InternetVideoArchive, JeuxVideo, Jukebox, justin.tv, Kankan,
 keek, KeezMovies, KickStarter, liveleak, livestream, livestream:original,
 metacafe, Metacritic, mixcloud, Mofosex, MTV, muzu.tv, MySpace, MySpass,
 myvideo, Naver, NBA, NBCNews, Newgrounds, nhl.com, nhl.com:videocenter,
 niconico, NowVideo, Ooyala, ORF, PBS, photobucket, plus.google,
 pluzz.francetv.fr, podomatic, PornHub, Pornotube, RBMARadio, RedTube,
 RingTV, RottenTomatoes, Roxwel, RTLnow, Rutube, screen.yahoo:search, Sina,
 Slashdot, Slideshare, smotri, smotri:community, smotri:user, Sohu,
 soundcloud, soundcloud:set, soundcloud:user, southpark.de,
 southparkstudios.com, Space, Spankwire, Spiegel, stanfordoc, Statigram,
 Steam, streamcloud.eu, SztvHu, Teamcoco, TechTalks, techtv.mit.edu, TED,
 TF1, ThisAV, tou.tv, TrailerAddict, Trilulilu, Tube8, Tudou, Tumblr, Tutv,
 tvp.pl, Unistra, ustream, ustream:channel, Vbox7, VeeHD, Veoh, Vevo, Vice,
 Viddler, video.google:search, video.mit.edu, VideoDetective, videofy.me,
 VideoPremium, viki, vimeo, vimeo:channel, vimeo:user, Vine, vk.com, wat.tv,
 websurg.com, Weibo, Wimp, WorldStarHipHop, XHamster, XNXX, XTube, XVideos,
 Yahoo, yahoo:news, YouJizz, Youku, YouPorn, youtube, youtube:channel,
 youtube:favorites, youtube:history, youtube:playlist, youtube:recommended,
 youtube:search, youtube:search:date, youtube:show, youtube:subscriptions,
 youtube:truncated_url, youtube:user, youtube:watch_later, ZDF.

## youtube-dl 2014.02.17

=== Makefile ===
all: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion

clean:
	rm -rf youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz

cleanall: clean
	rm -f youtube-dl youtube-dl.exe

PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man
PYTHON=/usr/bin/env python

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
ifeq ($(PREFIX),/usr)
	SYSCONFDIR=/etc
else
	ifeq ($(PREFIX),/usr/local)
		SYSCONFDIR=/etc
	else
		SYSCONFDIR=$(PREFIX)/etc
	endif
endif

install: youtube-dl youtube-dl.1 youtube-dl.bash-completion
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 youtube-dl $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 youtube-dl.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
	install -m 644 youtube-dl.bash-completion $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/youtube-dl

test:
	#nosetests --with-coverage --cover-package=youtube_dl --cover-html --verbose --processes 4 test
	nosetests --verbose test

tar: youtube-dl.tar.gz

.PHONY: all clean install test tar bash-completion pypi-files

pypi-files: youtube-dl.bash-completion README.txt youtube-dl.1

youtube-dl: youtube_dl/*.py youtube_dl/*/*.py
	zip --quiet youtube-dl youtube_dl/*.py youtube_dl/*/*.py
	zip --quiet --junk-paths youtube-dl youtube_dl/__main__.py
	echo '#!$(PYTHON)' > youtube-dl
	cat youtube-dl.zip >> youtube-dl
	rm youtube-dl.zip
	chmod a+x youtube-dl

README.md: youtube_dl/*.py youtube_dl/*/*.py
	COLUMNS=80 python -m youtube_dl --help | python devscripts/make_readme.py

README.txt: README.md
	pandoc -f markdown -t plain README.md -o README.txt

youtube-dl.1: README.md
	pandoc -s -f markdown -t man README.md -o youtube-dl.1

youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
	python devscripts/bash-completion.py

bash-completion: youtube-dl.bash-completion

youtube-dl.tar.gz: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion
	@tar -czf youtube-dl.tar.gz --transform "s|^|youtube-dl/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache' \
		--exclude '.git' \
		--exclude 'testdata' \
		-- \
		bin devscripts test youtube_dl \
		CHANGELOG LICENSE README.md README.txt \
		Makefile MANIFEST.in youtube-dl.1 youtube-dl.bash-completion setup.py \
		youtube-dl

=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends:
 debhelper (>= 9),
 python-pkg-resources
Build-Depends-Indep:
 python
X-Python-Version: >= 2.6
Standards-Version: 3.9.5
Homepage: http://rg3.github.com/youtube-dl/
Vcs-Git: git://anonscm.debian.org/collab-maint/youtube-dl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/youtube-dl.git

Package: youtube-dl
Architecture: all
Depends:
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 libav-tools | ffmpeg,
 libav-tools | ffmpeg (>= 4:0.6) | ffprobe,
 mplayer2 | mplayer,
 rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1up.com, 220.ro, 3sat, 4tube, 56.com, 8tracks, 9gag, AcademicEarth:Course,
 AddAnime, anitube.se, Aparat, AppleTrailers, archive.org videos, ARD,
 arte.tv, arte.tv:+7, arte.tv:creative, arte.tv:ddc, arte.tv:future,
 AUEngine, bambuser, bambuser:channel, Bandcamp, Bandcamp:album, BBC iPlayer,
 blinkx, blip.tv:user, BlipTV, Bloomberg, Break, Brightcove, canalc2.tv,
 canalplus.fr, CBS, Channel 9, Chilloutzone, Cinemassacre, clipfish,
 cliphunter, Clipsyndicate, cmt.com, CNN, CNNBlogs, CollegeHumor,
 ComedyCentral, The Daily Show / Colbert Report, Condé Nast media group: GQ,
 Glamour, Vanity Fair, Vogue, W Magazine, WIRED, Criterion, Crunchyroll,
 C-SPAN, culturebox.francetvinfo.fr, d8.tv, dailymotion,
 dailymotion:playlist, dailymotion:user, daum.net, defense.gouv.fr,
 DepositFiles, Discovery, Dotsub, Dropbox, EbaumsWorld, eHow, eitb.tv, El
 País, Escapist, EveryonesMixtape, ex.fm, ExtremeTube, facebook, faz.net,
 fernsehkritik.tv, fernsehkritik.tv:postecke, Firstpost.com, Видеоархив -
 Первый канал, Flickr, france2.fr:generation-quoi, FranceInter, France 2, 3,
 4, 5 and Ô, francetvinfo.fr, Freesound, freespeech.org, FunnyOrDie,
 Gamekings, GameSpot, Gametrailers, Generic downloader that works on some
 sites, Hark, helsinki.fi, HotNewHipHop, Howcast, Huffington Post, Hypem,
 ign.com, Internet Movie Database trailers, Internet Movie Database lists,
 Ina, InfoQ, Instagram, InternetVideoArchive, IPrima, ivi.ru, ivi.ru
 compilations, JadoreCettePub, JeuxVideo, jpopsuki.tv, Jukebox, justin.tv,
 Kankan, keek, KeezMovies, KhanAcademy, KickStarter, KontrTube.ru - Труба
 зовёт, la7.tv, LIFE | NEWS, LiveLeak, livestream, livestream:original,
 lynda.com videos, lynda.com online courses, m6, MacGameStore trailers,
 Malemotion, MDR, metacafe, Metacritic, mixcloud, Mofosex, Mooshare.biz,
 MPORA, MTV, mtviggy.com, muzu.tv, MySpace, MySpass, myvideo, Naver, NBA,
 NBCNews, NDR.de - Mediathek, NDTV, Newgrounds, National Film Board of
 Canada, nhl.com, NHL videocenter category, ニコニコ動画, Normalboots,
 Novamov, Nowness, NowVideo, Ooyala, ORF, PBS, photobucket, Google Plus,
 pluzz.francetv.fr, podomatic, PornHd, PornHub, Pornotube, Pyvideo,
 radiofrance, RBMARadio, RedTube, RingTV, RottenTomatoes, Roxwel, RTLnow,
 Rutube videos, Rutube channels, Rutube movies, Rutube person videos, Yahoo
 screen search (Example: "yvsearchall:purple fish" ), ServingSys, Sina,
 Slashdot, Slideshare, Smotri.com, Smotri.com broadcasts, Smotri.com
 community videos, Smotri.com user videos, Sohu, soundcloud, soundcloud:set,
 soundcloud:user, southpark.de, southparkstudios.com, Space, Spankwire,
 Spiegel, Spike, Stanford Open ClassRoom, Statigram, Steam, streamcloud.eu,
 StreamCZ, Syfy, SztvHu, Teamcoco, TechTalks, techtv.mit.edu, TED, TF1,
 ThePlatform, ThisAV, tinypic.com videos, tou.tv, Trilulilu, Tube8, Tudou,
 Tumblr, Tutv, tvp.pl, Unistra, ustream, ustream:channel, Vbox7, VeeHD, Veoh,
 Вести.Ru, Vevo, Vice, Viddler, Google Video search (Example:
 "gvsearch5:falling cat" ), video.mit.edu, VideoDetective, videofy.me,
 VideoPremium, viki, vimeo, vimeo:album, vimeo:channel, vimeo:group, Review
 pages on vimeo, vimeo:user, Vine, vk.com, Vube.com, wat.tv, Weibo, Wimp,
 Wistia, WorldStarHipHop, XHamster, XNXX, XTube, XVideos, Yahoo screen, Yahoo
 screen, YouJizz, Youku, YouPorn, YouTube.com, YouTube.com channels,
 YouTube.com favourite videos, "ytfav" keyword (requires authentication),
 Youtube watch history, "ythistory" keyword (requires authentication),
 YouTube.com playlists, YouTube.com recommended videos, "ytrec" keyword
 (requires authentication), YouTube.com searches (Example:
 "ytsearch10:running tortoise" ), YouTube.com searches, newest videos first
 (Example: "ytsearchdateall:falling cat" ), YouTube.com (multi-season) shows,
 YouTube.com subscriptions feed, "ytsubs" keyword(requires authentication),
 YouTube.com top lists, "yttoplist:{channel}:{list title}" (Example:
 "yttoplist:music:Top Tracks"), YouTube.com user videos (URL or "ytuser"
 keyword), Youtube watch later list, "ytwatchlater" keyword (requires
 authentication), ZDF.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://youtube-dl.org/downloads/(\d.*)/youtube-dl-(:?.*)\.tar\.gz

## youtube-dl 2014.08.05

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion
 
 clean:
-	rm -rf youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz
+	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz
 
 cleanall: clean
 	rm -f youtube-dl youtube-dl.exe
@@ -55,7 +55,9 @@
 	pandoc -f markdown -t plain README.md -o README.txt
 
 youtube-dl.1: README.md
-	pandoc -s -f markdown -t man README.md -o youtube-dl.1
+	python devscripts/prepare_manpage.py >youtube-dl.1.temp.md
+	pandoc -s -f markdown -t man youtube-dl.1.temp.md -o youtube-dl.1
+	rm -f youtube-dl.1.temp.md
 
 youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
 	python devscripts/bash-completion.py
@@ -72,8 +74,9 @@
 		--exclude '__pycache' \
 		--exclude '.git' \
 		--exclude 'testdata' \
+		--exclude 'docs/_build' \
 		-- \
-		bin devscripts test youtube_dl \
-		CHANGELOG LICENSE README.md README.txt \
+		bin devscripts test youtube_dl docs \
+		LICENSE README.md README.txt \
 		Makefile MANIFEST.in youtube-dl.1 youtube-dl.bash-completion setup.py \
 		youtube-dl

=== debian/changelog ===
youtube-dl (2014.08.05-1) unstable; urgency=medium

  * Imported Upstream version 2014.08.05.
    Closes: #756246, #756371, #756493.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 06 Aug 2014 15:43:31 -0300

youtube-dl (2014.07.15-1) unstable; urgency=medium

  * Imported Upstream version 2014.07.15. Closes: #754919.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 15 Jul 2014 22:32:37 -0300

youtube-dl (2014.07.11-1) unstable; urgency=medium

  * Imported Upstream version 2014.07.11.
    Closes: #754569, #740616, #752740, #754628, #754585.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 13 Jul 2014 12:31:12 -0300

youtube-dl (2014.06.19-1) unstable; urgency=medium

  * debian/upstream-signing-key.asc: Add keys from upstream.
  * Rename: debian/upstream-signing-key.asc -> debian/upstream/signing-key.asc
  * debian/watch: Make use of the signing key from upstream.
  * Imported Upstream version 2014.06.19. Closes: #752139.
  * debian/changelog: Annotate with bugs being closed.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 22 Jun 2014 11:53:20 -0300
